Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
nan.c File Reference
`#include "ruby/missing.h"`
`#include <assert.h>`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Functions
double | nan (const char *spec)

## Function Documentation

## ◆ nan()

double nan | ( | const char * | spec | ) |

Definition at line 7 of file nan.c.

References assert, buf, free, len, malloc(), NAN, NULL, snprintf(), sprintf(), and strtod.

Referenced by VpGetDoubleNaN().